#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
#
%define 	module	pyatspi
Summary:	AT-SPI Python bindings
Summary(pl.UTF-8):	Wiązania AT-SPI dla Pythona
Name:		python-%{module}
Version:	2.18.0
Release:	1
License:	LGPL v2
Group:		Development/Languages/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pyatspi/2.18/%{module}-%{version}.tar.xz
# Source0-md5:	63784b21c759452e6506e1f7a4d7913e
URL:		https://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
BuildRequires:	pkgconfig
BuildRequires:	python-pygobject3-common-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-distribute
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 3.2
%endif
Requires:	at-spi2-core >= 2.12.0
Requires:	gobject-introspection
Requires:	python-modules
Requires:	python-pygobject3 >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides AT-SPI Python bindings.

%description -l pl.UTF-8
Ten pakiet dostarcza wiązania AT-SPI dla Pythona.

%package -n python3-%{module}
Summary:	AT-SPI Python 3 bindings
Summary(pl.UTF-8):	Wiązania AT-SPI dla Pythona 3
Group:		Development/Languages/Python
Requires:	at-spi2-core >= 2.12.0
Requires:	gobject-introspection
Requires:	python3-modules
Requires:	python3-pygobject3 >= 3.0.0

%description -n python3-%{module}
This package provides AT-SPI Python 3 bindings.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet dostarcza wiązania AT-SPI dla Pythona 3.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python3}
mkdir py3
cd py3
../%configure \
	--with-python="/usr/bin/python3"
%{__make}
cd ..
%endif

%if %{with python2}
mkdir py2
cd py2
../%configure \
	--with-python="%{__python}"
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__make} -C py3 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with python2}
%{__make} -C py2 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{py_sitescriptdir}/pyatspi
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{py3_sitescriptdir}/pyatspi
%endif
%changelog
* Mon Sep 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyatspi.git;a=log;h=master

* Mon Sep 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> 02172f4
- updated to 2.18.0

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 07a4fa2
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8095dfd
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat May 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 6ecf5c5
- updated to 2.16.0

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 20ff9ff
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a8790e8
- python 3.4
- release 2 (by relup.sh)

* Wed Oct 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 961b076
- updated to 2.14.0

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> cb632f1
- updated to 2.12.0

* Wed Sep 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 6b1b480
- updated to 2.10.0

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> c2d3f0f
- python2/3 bconds

* Thu Mar 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ad61a71
- Add module for python3. Release 2

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 47cfc02
- updated to 2.8.0

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> aff802e
- updated python version

* Tue Sep 25 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9ab8460
- Updated to 2.6.0

* Fri Mar 30 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 20c6309
- updated to 2.4.0

* Sat Oct 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5c2ce14
- updated to 2.2.1

* Thu Sep 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 128fdc7
- updated to 2.2.0

* Tue May 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 681d076
- updated to 2.0.2

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 17dad36
- updated to 2.0.1

* Sun Apr 10 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 685f0dc
- new

